Package org.apache.wiki.plugin

# Class Counter

java.lang.Object
org.apache.wiki.plugin.Counter

All Implemented Interfaces:
  `Plugin`

public class Counter extends Object implements Plugin
Provides a page-specific counter, it is reset every time a page is rendered, so it is not usable as a hitcounter.
Stores a variable in the WikiContext called "counter", with the name of the optionally specified variable "name".
For example: If name is "thispage", then the variable name is called "counter-thispage".

Parameters :

- name - Name of the counter. Optional.
- increment - The amount to increment, may be a negative value, default is 1. Optional.
- showResult - Should the counter value be visible on the page, default is true. Optional.

Since:
  1.9.30

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_NAME`
`static final String`
`PARAM_INCREMENT`
Parameter name for setting the increment.
`static final String`
`PARAM_NAME`
Parameter name for setting the name.
`static final String`
`PARAM_SHOW_RESULT`
Parameter name for setting the showResult.
`static final String`
`PARAM_START`
Parameter name for setting the start.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`Counter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_NAME

public static final String PARAM_NAME
Parameter name for setting the name. Value is `"name"`.

See Also:
  - Constant Field Values

### PARAM_INCREMENT

public static final String PARAM_INCREMENT
Parameter name for setting the increment. Value is `"increment"`.

See Also:
  - Constant Field Values

### PARAM_SHOW_RESULT

public static final String PARAM_SHOW_RESULT
Parameter name for setting the showResult. Value is `"showResult"`.

See Also:
  - Constant Field Values

### PARAM_START

public static final String PARAM_START
Parameter name for setting the start. Value is `"start"`.

See Also:
  - Constant Field Values

### DEFAULT_NAME

public static final String DEFAULT_NAME

See Also:
  - Constant Field Values

## Constructor Details

### Counter

public Counter()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`